package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrOverhaulTower;

/**
 * 检修项目-塔罐Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrOverhaulTowerMapper
{
    /**
     * 查询检修项目-塔罐
     *
     * @param id 检修项目-塔罐ID
     * @return 检修项目-塔罐
     */
    public TPssrOverhaulTower selectTPssrOverhaulTowerById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询检修项目-塔罐列表
     *
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 检修项目-塔罐集合
     */
    
    public List<TPssrOverhaulTower> selectTPssrOverhaulTowerList(TPssrOverhaulTower tPssrOverhaulTower);

    /**
     * 新增检修项目-塔罐
     *
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 结果
     */
    public int insertTPssrOverhaulTower(TPssrOverhaulTower tPssrOverhaulTower);

    /**
     * 修改检修项目-塔罐
     *
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 结果
     */
    public int updateTPssrOverhaulTower(TPssrOverhaulTower tPssrOverhaulTower);
    public int updateTPssrOverhaulTowerByIds(TPssrOverhaulTower tPssrOverhaulTower);

    public int updateAllBySubId(TPssrOverhaulTower tPssrOverhaulTower);

    /**
     * 删除检修项目-塔罐
     *
     * @param id 检修项目-塔罐ID
     * @return 结果
     */
    public int deleteTPssrOverhaulTowerById(Long id);

    /**
     * 批量删除检修项目-塔罐
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrOverhaulTowerByIds(Long[] ids);
}
